Subject: Re: CCL:Chem Topic: Spin Contamination

From: "Dr. Heinz Schiffer" <[email-masked]>
Date: Wed, 09 Apr 1997 09:15:21 +0200

[email-masked] wrote:
> 
> Hello all,
> 
>         I have written the following short essay for my users and am
> posting it here for your enjoyment and comments.  Please let me know
> if I missed any important points.
> 
>         My compilation of chemical topics can be accessed via the web
> at URL http://www.auburn.edu/~youngd2/topics/contents.html
> 
>                                 Dave Young
>                                 [email-masked]
> 
> ---------------------------------------------------------------------------
> 
>                                 Spin Contamination
> 
>                                    David Young
> 
>                         Division of University Computing
>                                  144 Parker Hall
>                                 Auburn University
>                                 Auburn, AL 36849
> 
> WHAT IS SPIN CONTAMINATION
> 
>         Introductory descriptions of Hartree-Fock calculations (usually
> using Rootaan's SCF method) focus on singlet systems for which all
> electron spins are paired.  By assuming that the calculations is restricted
> to having two electrons per occupied orbital, the computation can be
> done relatively easily.  This is often referred to as a restricted
> calculation or RHF.
> 
>         For systems with a multiplicity other than one, it is not
> possible to use the RHF method as is.  Often an unrestricted SCF calculation
> (UHF) is performed.  In an unrestricted calculation, there are two complete
> sets of orbitals, one for the alpha electrons and one for the beta
> electrons.  Usually these two sets of orbitals use the same set of
> basis functions but different molecular orbital coefficients.
> 
>         The advantage of unrestricted calculations is that they can be
> performed very efficiently.  The disadvantage is that the wave function
> is no longer an eigenfunction of the total spin, <S**2>, thus some error
> may be introduced into the calculation.  This error is called spin
> contamination.
> 
> HOW DOES SPIN CONTAMINATION AFFECT RESULTS
> 
>         Spin contamination results in having orbitals which appear to be
> the desired spin state, but have a bit of some other spin state mixed in.
> This results in slightly lowering the computed total energy.  However,
> this lowering is an artifact of an incorrect wave function.  Since this
> is not a systematic error, the difference in energy between states will
> be adversely affected.  A high spin contamination can affect the geometry
> and population analysis and significantly affect the spin density.
> 
>         As a check for the presence of spin contamination, most ab initio
> programs will print out the expectation value of the total spin, <S**2>.
> If there is no spin contamination this should equal s(s+1) where s
> equals 1/2 times the number of unpaired electrons.  One rule of thumb which
> was derived from experience with organic molecule calculations is that
> the spin contamination is negligible if the value of <S**2> differs from
> s(s+1) by less than 10%.  Although this provides a quick test, it is
> always advisable to double check the results against experimental
> evidence or more rigorous calculations.
> 
>         Unrestricted calculations often incorporate a spin annihilation
> step which removes a large percentage of the spin contamination from
> the wave function at some point in the calculation.  This helps minimize
> spin contamination but does not completely prevent it.  The final value
> of <S**2> is always the best check on the amount of spin contamination
> present.  In Gaussian, the option "iop(6/15=2)" tells the program to
> use the annihilated wave function to produce the population analysis.
> I am not aware of any programs that use the annihilated wave function
> to perform the geometry optimization.
> 
> RESTRICTED OPEN SHELL CALCULATIONS
> 
>         It is possible to run spin-restricted open shell calculations
> (ROHF).  The advantage of this is that there is no spin contamination.
> The disadvantage is that there is an additional cost in the form of
> CPU time required in order to correctly handle both singly occupied and
> doubly occupied orbitals and the interaction between them.  As a result
> of the mathematical method used, ROHF calculations give good total
> energies and wave functions but the singly occupied orbital energies
> don't rigorously obey Koopman's theorem.
> 
>         When it has been shown that the errors introduced by spin
> contamination are unacceptable, restricted open shell calculations
> are the best way to get a reliable wave function.
> 
>         Within the Gaussian program, restricted open shell calculations
> can be performed for Hartree-Fock, density functional theory, MP2 and some
> semiempirical wave functions.  The ROMP2 method does not yet support
> analytic gradients, thus the fastest way to run the calculation is as a
> single point energy calculation with a geometry from another method.
> If a geometry optimization must be done at this level of theory, a
> non-gradient based method such as the Fletcher-Powell optimization
> must be used (note that the G94 manual implies that this may not still be
> functional for all cases).
> 
> SPIN PROJECTION METHODS
> 
>         Another approach is to run an unrestricted calculation then
> project out the spin contamination after the wave function has been
> obtained (PUHF, PMP2).  This gives a correction to the energy, but does not
> improve other properties.
> 
>         A spin projected result does not give the energy obtained by
> using a restricted open shell calculation.  This is because the
> unrestricted orbitals were optimized to describe the contaminated state
> rather than being optimized to describe the spin projected state.
> 
> HALF-ELECTRON APPROXIMATION
> 
>         Semiempirical programs often use the half electron approximation
> for radical calculations.  The half electron method is a mathematical
> technique for treating a singly occupied orbital in an RHF calculation.
> This results in a consistent total energy at the expense of having an
> approximate wave function and orbital energies.  Since a single determinant
> calculation is used, there is no spin contamination.
> 
>         The consistent total energy makes it possible to compute
> singlet-triplet gaps using RHF for the singlet and the half electron
> calculation for the triplet.  Koopman's theorem is not obeyed for half
> electron calculations.  Also, no spin densities can be obtained.
> The Mulliken population analysis is usually fairly reasonable.
> 
> FURTHER INFORMATION
> 
> Some discussion and results are in
> W. J. Hehre, L. Radom, P. v.R. Schleyer, J. A. Pople "Ab Initio Molecular
> Orbital Theory" Wiley (1986)
> 
> An article that compares unrestricted, restricted and projected results is
> M. W. Wong, L. Radom J. Phys. Chem. 99, 8582 (1995)
> 
> Some specific examples and a discussion of the half electron method are
> given in
> T. Clark "A Handbook of Computational Chemistry" Wiley (1985)
> 
> A more mathematical treatment can be found in the paper
> J. S. Andrews, D. Jayatilake, R. G. A. Bone, N. C. Handy, R. D. Amos
> Chem. Phys. Lett. 183, 423 (1991)
> 

Hi David,

What about restricted ( spin-unpolarized in the language of solid state
physicists ) DFT calculations ? As far as I understand, that is
not possible : John A. Pople, Peter M. W. Gill, Nicholas C. Handy,
J. Comput. Chem. 56 (1995) 303-305. But it seams to me that this is not
a problem, because the spin contamination of DFT methods are far less
than UHF and in most cases are virtually spin pure. The only problem
arises for the calculation of the multiplet states corresponding to
degenerate configurations, like p**2 for atoms or pi**2 for diatomic
molecules (e.g. oxygene): Here it is not possible (by definition !) to
calculate the lowest singlet states by UHF or unrestricted DFT methods 
with real orbitals (with complex orbitals it is possible). Another
problem with restricted calculations (ROHF or spin-unpolarized DFT, the
latter sometimes called RKS, restricted Kohn-Sham) is the incorrect
dissociation behaviour : The RHF potential energy curve of H2
dissociates not into 2 H radicals but into a mixture of H radicals
and H+ and H-. The same is true for RKS, but less pronounced. With
UHF or UKS you always get the right dissociation behaviour. For
very (!!!) nice discussions see : I. Mayer, On the behaviour of the
UHF method near the "critical" point", Acta Physica Hungarica
54(3-4) (1983) 249-266, and Michael Cook, Martin Karplus, Electron
Correlation and Density-Functional Methods, J. Phys. Chem. 91
(1987) 31-37. For an instructive application of the UHF method
to the potential energy surface of F2 see : Mark S. Gordon, Donald
G. Truhlar, The Hartree-Fock disoociation of F2, Theor. Chim. Acta
71 (1987) 1-5. And last but not least 2 papers discussing the problems
to compute degenerate ground states with DFT : Isaac B. Bersuker,
Limitations of Density Functional Theory in Application to
Degenerate States, J. Comput. Chem. 18(2) (1997) 260-267 and
E. J. Baerends, V. Branchadell, M. Sodupe, Atomic reference energies
for density functional calculations, Chem. Phys. Lett. 265 (1997) 
481-489.

Ciao
Heinz
-- 
Dr. Heinz Schiffer		Phone   ++49-69-305-2330
Hoechst CR&T			Fax     ++49-69-305-81162
Scientific Computing, G864	Email   [email-masked]
65926 Frankfurt am Main		        [email-masked]